Britive platform release 2026.09.02 is now live in production.

Get list of verification templates

Prev Next
Get
/api/resource-manager/resource-types/{resourceTypeId}/verification-templates

Get the paginated list of verification templates for a resource type

Security
HTTP
Type bearer
Path parameters
resourceTypeId
stringRequired

ID of the resource type

Query parameters
searchText
string

Search text to filter templates by name or description

Exampletest
page
integer

Parameter to specify the page number of the records to retrieve

Default0
size
integer

Parameter to specify the number of records to retrieve per page

Default20
sort
string

parameter to specify the sort parameter and direction

Responses
200

Verification template retrieved successfully

Expand All
object
count
integer

Total count of verification templates for the resource type

page
integer

Current page number (0-indexed)

size
integer

Page size

sort
string

Sort criteria used

data
Array of object (VerificationTemplateSummaryDto)

List of verification template summaries for the resource type

object
templateId
string

ID of the verification template

templateName
string

Name of the verification template

description
string

Description of the verification template

createdOn
string

Creation timestamp

createdBy
string

Name of user who created the template

404

Resource type not found